org.apache.tinkerpop.gremlin.process.traversal.strategy.verification

## Class ReadOnlyStrategyProcessTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.strategy.verification.ReadOnlyStrategyProcessTest

-     public class ReadOnlyStrategyProcessTest
      extends AbstractGremlinProcessTest

  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReadOnlyStrategyProcessTest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `shouldNotTraverseV_In_addEXINX()`
    `void` | `shouldNotTraverseV_In_addEXOUTX()`
    `void` | `shouldNotTraverseV_In_addInE()`
    `void` | `shouldNotTraverseV_In_addOutE()`
    `void` | `shouldNotTraverseV_out_addInE()`
    `void` | `shouldNotTraverseV_out_addOutE()`
    `void` | `shouldTraverseE()`
    `void` | `shouldTraverseV_in_in()`
    `void` | `shouldTraverseV_in()`
    `void` | `shouldTraverseV_out()`
    `void` | `shouldTraverseV()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReadOnlyStrategyProcessTest

          public ReadOnlyStrategyProcessTest()

  - ### Method Detail

    - #### shouldTraverseV

          public void shouldTraverseV()

    - #### shouldTraverseV_out

          public void shouldTraverseV_out()

    - #### shouldTraverseV_in

          public void shouldTraverseV_in()

    - #### shouldTraverseV_in_in

          public void shouldTraverseV_in_in()

    - #### shouldTraverseE

          public void shouldTraverseE()

    - #### shouldNotTraverseV_out_addInE

          public void shouldNotTraverseV_out_addInE()

    - #### shouldNotTraverseV_out_addOutE

          public void shouldNotTraverseV_out_addOutE()

    - #### shouldNotTraverseV_In_addInE

          public void shouldNotTraverseV_In_addInE()

    - #### shouldNotTraverseV_In_addOutE

          public void shouldNotTraverseV_In_addOutE()

    - #### shouldNotTraverseV_In_addEXINX

          public void shouldNotTraverseV_In_addEXINX()

    - #### shouldNotTraverseV_In_addEXOUTX

          public void shouldNotTraverseV_In_addEXOUTX()

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.